﻿-- Replace true with the string for your language.  Be sure to preserve all spacing!

local L = AceLibrary("AceLocale-2.2"):new("Cryolysis2")

L:RegisterTranslations("enUS", function() return {

-- Menu Options
["Menu"] = true;
["Show Menu"] = true;
["Open the configuration menu."] = true;
["General Settings"] = true;
["Adjust various settings for Cryolysis 2."] = true;
["Lock Sphere and Buttons"] = true;
["Lock the main sphere and buttons so they can't be moved."] = true;
["Constrict Buttons to Sphere"] = true;
["Lock the buttons in place around the main sphere."] = true;
["Hide Tooltips"] = true;
["Hide the main sphere and button tooltips."] = true;
["Reagent Restocking"] = true;
["Adjust various settings for the automatic reagent restocking feature."] = true;
["Restock Reagents"] = true;
["Automatically restock reagents when talking to a reagent vendor."] = true;
["Confirm Restocking"] = true;
["Pop-up a confirmation box before restocking reagents."] = true;
["Adjust the amount of Arcane Powder to restock to."] = true;
["Adjust the amount of Runes of Teleportation to restock to."] = true;
["Adjust the amount of Runes of Portals to restock to."] = true;
["Timer Settings"] = true;
["Adjust various settings for the spell timers."] = true;
["Timers On/Off"] = true;
["Turn timers on or off."] = true;
["Lock Timer Frame"] = true;
["Lock the timer frame in place so it can't move."] = true;
["Cooldown Timers"] = true;
["Select which spells have their cooldowns shown in the timer window."] = true;
["Debuff Timers"] = true;
["Select which spells have their debuffs tracked in the timer window."] = true;
["Message Settings"] = true;
["Adjust various settings for teleport, portal, and polymorph messages."] = true;
["Chat Channel"] = true;
["Choose which chat channel messages are displayed in."] = true;
["User"] = true;
["Say"] = true;
["Party"] = true;
["Raid"] = true;
["Group"] = true;
["World"] = true;
["Short Messages"] = true;
["Display shortened versions of polymorph, teleport, portal, and mount messages."] = true;
["Polymorph Messages"] = true;
["Display a message in chat when casting polymorph."] = true;
["Polymorph Warning"] = true;
["Play a sound when polymorph is about to break."] = true;
["Polymorph Warning Time"] = true;
["Set how long before polymorph breaks to play the sound."] = true;
["Polymorph Break"] = true;
["Play a sound when polymorph breaks."] = true;
["Ritual Message"] = true;
["Display a message in chat when casting Ritual of refreshment."] = true;
["Mount Messages"] = true;
["Display a message in chat when mounting."] = true;
["Teleport Messages"] = true;
["Display a message in chat when teleporting."] = true;
["Portal Messages"] = true;
["Display a message in chat when opening a portal."] = true;
["Button Settings"] = true;
["Adjust various settings for each button."] = true;
["Main Sphere"] = true;
["Adjust various settings for the main sphere."] = true;
["Show or hide the main sphere."] = true;
["Text"] = true;

["Adjust what information is displayed on the sphere."] = true;
["Nothing"] = true;
["Food/Drink"] = true;
["Drink/Food"] = true;
["Current Health"] = true;
["Health %"] = true;
["Current Mana"] = true;
["Mana %"] = true;
["Mana Gem Cooldown"] = true;
["Evocation Cooldown"] = true;

["Inner Sphere"] = true;
["Adjust what clicking the inner sphere does."] = true;
["Eat and drink"] = true;
["Evocation"] = true;
["Polymorph"] = true;
["Use Mana Gem"] = true;
["Blink"] = true;

["Outer Sphere"] = true;
["Adjust what information is displayed using the outer sphere."] = true;
["Health"] = true;
["Mana"] = true;

["Angle"] = true;
["Adjust the position of the buttons around the sphere."] = true;
["Scale"] = true;
["Scale the size of the main sphere."] = true;
["Scale All Buttons"] = true;
["Scale the size of all of the buttons at once."] = true;
["Food Button"] = true;
["Adjust various settings for the food button."] = true;
["Hide"] = true;
["Show or hide the button."] = true;
["Show Food Count"] = true;
["Show how much conjured food you have on the food button."] = true;
["Scale the size of the food button."] = true;
["Move Clockwise"] = true;
["Move this button one position clockwise."] = true;
["Water Button"] = true;
["Adjust various settings for the water button."] = true;
["Show Water Count"] = true;
["Show how much conjured water you have on the water button."] = true;
["Scale the size of the water button."] = true;
["Mana Gem Button"] = true;
["Adjust various settings for the mana gem button."] = true;
["Grow Left"] = true;
["Make the menu grow left instead right."] = true;
["Show Cooldown"] = true;
["Show the mana gem cooldown on the mana gem button."] = true;
["Scale the size of the mana gem button."] = true;
["Menu X Offset"] = true;
["Menu Y Offset"] = true;
["Adjust the left-to-right position of the menu."] = true;
["Left Custom Button"] = true;
["Adjust various settings for the left custom button."] = true;
["Scale the size of the left custom button."] = true;
["Button Type"] = true;
["Choose whether this button casts a spell, uses a macro, or uses an item."] = true;
["Spell"] = true;
["Macro"] = true;
["Item"] = true;
["Left Click Spell"] = true;
["Right Click Spell"] = true;
["Middle Click Spell"] = true;
["Type in the name of the spell that will be cast when left clicking this button."] = true;
["Enter a spell, macro, or item name and PRESS ENTER.  Capitalization matters."] = true;
["Evocation Button"] = true;
["Adjust various settings for the evocation button."] = true;
["Show evocation's cooldown on the evocation button."] = true;
["Scale the size of the evocation button."] = true;
["Right Custom Button"] = true;
["Adjust various settings for the right custom button."] = true;
["Scale the size of the right custom button."] = true;
["Buff Menu Button"] = true;
["Adjust various settings for the buff menu button."] = true;
["Light Feather Count"] = true;
["Show how many light feathers you have on the slow fall button."] = true;
["Arcane Powder Count"] = true;
["Show how much arcane powder you have on the arcane intellect button."] = true;
["Scale the size of the spell menu button."] = true;
["Mount Button"] = true;
["Adjust various settings for the mount button."] = true;
["Scale the size of the mount button."] = true;
["Teleport/Portal Menu Button"] = true;
["Adjust various settings for the teleport/portal menu button."] = true;
["Scale the size of the teleport/portal button."] = true;
["Bottom Custom Button"] = true;
["Adjust various settings for the bottom custom button."] = true;
["Scale the size of the bottom custom button."] = true;

-- Reagent Restocking
["Yes"] = true;
["No"] = true;
["Okay"] = true;
["Restock all reagents?"] = true;
["Cryolysis 2 has detected that you are not playing a mage.  The mod has not fully loaded, but is still taking up memory.  For the best game performance, you should disable Cryolysis 2 for this character on your addon selection screen.  This message will only appear once."] = true;

-- Water
["Conjured Water"] = true;
["Conjured Fresh Water"] = true;
["Conjured Purified Water"] = true;
["Conjured Spring Water"] = true;
["Conjured Mineral Water"] = true;
["Conjured Sparkling Water"] = true;
["Conjured Crystal Water"] = true;
["Conjured Mountain Spring Water"] = true;
["Conjured Glacier Water"] = true;
["Conjured Manna Biscuit"] = true;

-- Food
["Conjured Muffin"] = true;
["Conjured Bread"] = true;
["Conjured Rye"] = true;
["Conjured Pumpernickel"] = true;
["Conjured Sourdough"] = true;
["Conjured Sweet Roll"] = true;
["Conjured Cinnamon Roll"] = true;
["Conjured Croissant"] = true;

-- Gems
["Mana Agate"] = true;
["Mana Jade"] = true;
["Mana Citrine"] = true;
["Mana Ruby"] = true;
["Mana Emerald"] = true;

-- Items
["Hearthstone"] = true;
["Light Feather"] = true;
["Arcane Powder"] = true;
["Rune of Teleportation"] = true;
["Rune of Portals"] = true;

-- Conjure Spells
["Conjure Water"] = true;
["Conjure Food"]  = true;

-- Frame titles, tooltips, and informative text
["Spell Timers"] = true;
["Conjured Food"] = true;
["Left-click to use."] = true;
["Right-click to conjure."] = true;
["Middle-click to trade."] = true;
["Shift + right-click for Ritual of Refreshment."] = true;
["Middle-click for gem menu."] = true;
["(Outside combat only)"] = true;
["Click to hearth to "] = true;
["Right-click to hearth to "] = true;
["Middle-click to hearth to "] = true;
["Right-click to use "] = true;
["Left-click to cast "] = true;
["Middle-click to cast "] = true;
["Right-click to cast "] = true;
["Click to cast "] = true;
["No spells assigned to this button."] = true;
["You can assign a spell to this button using the Cryolysis 2 menu."] = true;
["Teleport and Portal Menu"] = true;
["Buff Menu"] = true;
["Click to open the menu."] = true;
["Teleport Runes"] = true;
["Light Feathers"] = true;
["Portal Runes"] = true;
["Left-click to teleport to "] = true;
["Right-click to open a portal to "] = true;

-- City names
["Ironforge"] = true;
["Orgrimmar"] = true;
["Stormwind"] = true;
["Undercity"] = true;
["Darnassus"] = true;
["Thunder Bluff"] = true;
["Exodar"] = true;
["Silvermoon"] = true;
["Shattrath"] = true;


["Armor"] = true;
["Intellect"] = true;
["Magic"] = true;
["Damage Shields"] = true;
["Magical Wards"] = true;
["Mount"] = true;
["Mana Gem"] = true;
["Water"] = true;
["Food"] = true;

["Left-click to use "] = true;
["Right-click to conjure "] = true;
["Conjured"] = true;
["Not Conjured"] = true;
["Ready"] = true;
["Unavailable"] = true;

-- Error messages
["No food found for trading, conjure some then try again!"] = true;
["No water found for trading, conjure some then try again!"] = true;
["Invalid name, please check your spelling and try again!"] = true;

--Ground Mounts
["Horn of the Frostwolf Howler"] = true;
["Stormpike Battle Charger"] = true;
["Black Ram"] = true;
["Black War Ram"] = true;
["Brown Ram"] = true;
["Frost Ram"] = true;
["Gray Ram"] = true;
["Swift Brown Ram"] = true;
["Swift Gray Ram"] = true;
["Swift White Ram"] = true;
["White Ram"] = true;
["Brewfest Ram"] = true;
["Swift Brewfest Ram"] = true;
["Swift Razzashi Raptor"] = true;
["Swift Blue Raptor"] = true;
["Swift Olive Raptor"] = true;
["Swift Orange Raptor"] = true;
["Whistle of the Black War Raptor"] = true;
["Whistle of the Emerald Raptor"] = true;
["Whistle of the Ivory Raptor"] = true;
["Whistle of the Mottled Red Raptor"] = true;
["Whistle of the Turquoise Raptor"] = true;
["Whistle of the Violet Raptor"] = true;
["Swift Zulian Tiger"] = true;
["Deathcharger's Reins"] = true;
["Blue Skeletal Horse"] = true;
["Blue Skeletal Warhorse"] = true;
["Brown Skeletal Horse"] = true;
["Green Skeletal Warhorse"] = true;
["Purple Skeletal Warhorse"] = true;
["Red Skeletal Horse"] = true;
["Red Skeletal Warhorse"] = true;
["Black Battlestrider"] = true;
["Blue Mechanostrider"] = true;
["Green Mechanostrider"] = true;
["Icy Blue Mechanostrider Mod A"] = true;
["Red Mechanostrider"] = true;
["Swift Green Mechanostrider"] = true;
["Swift White Mechanostrider"] = true;
["Swift Yellow Mechanostrider"] = true;
["Unpainted Mechanostrider"] = true;
["White Mechanostrider Mod A"] = true;
["Black Stallion Bridle"] = true;
["Brown Horse Bridle"] = true;
["Chestnut Mare Bridle"] = true;
["Palomino Bridle"] = true;
["Pinto Bridle"] = true;
["Swift Brown Steed"] = true;
["Swift Palomino"] = true;
["Swift White Steed"] = true;
["White Stallion Bridle"] = true;
["Black War Kodo"] = true;
["Brown Kodo"] = true;
["Great Brown Kodo"] = true;
["Black War Steed Bridle"] = true;
["Gray Kodo"] = true;
["Great Gray Kodo"] = true;
["Great White Kodo"] = true;
["Green Kodo"] = true;
["Teal Kodo"] = true;
["Horn of the Arctic Wolf"] = true;
["Horn of the Dire Wolf"] = true;
["Horn of the Swift Gray Wolf"] = true;
["Horn of the Swift Timber Wolf"] = true;
["Horn of the Black War Wolf"] = true;
["Horn of the Brown Wolf"] = true;
["Horn of the Red Wolf"] = true;
["Horn of the Swift Brown Wolf"] = true;
["Horn of the Timber Wolf"] = true;
["Reins of the Black War Tiger"] = true;
["Reins of the Striped Nightsaber"] = true; 
["Reins of the Frostsaber"] = true;
["Reins of the Nightsaber"] = true;
["Reins of the Spotted Frostsaber"] = true;
["Reins of the Striped Frostsaber"] = true;
["Reins of the Swift Frostsaber"] = true;
["Reins of the Swift Mistsaber"] = true;
["Reins of the Swift Stormsaber"] = true;
["Reins of the Winterspring Frostsaber"] = true;
["Black Qiraji Resonating Crystal"] = true;
["Reins of the Dark War Talbuk"] = true;
["Reins of the Cobalt Riding Talbuk"] = true;
["Reins of the Cobalt War Talbuk"] = true;
["Reins of the Silver War Talbuk"] = true;
["Reins of the Silver Riding Talbuk"] = true;
["Reins of the Tan Riding Talbuk"] = true;
["Reins of the Tan War Talbuk"] = true;
["Reins of the White Riding Talbuk"] = true;
["Reins of the White War Talbuk"] = true;
["Brown Elekk"] = true;
["Gray Elekk"] = true;
["Purple Elekk"] = true;
["Great Blue Elekk"] = true;
["Great Green Elekk"] = true;
["Great Purple Elekk"] = true;
["Black Hawkstrider"] = true;
["Blue Hawkstrider"] = true;
["Purple Hawkstrider"] = true;
["Red Hawkstrider"] = true;
["Swift Green Hawkstrider"] = true;
["Swift Pink Hawkstrider"] = true;
["Swift Purple Hawkstrider"] = true;
["Fiery Warhorse's Reins"] = true;
["Reins of the Raven Lord"] = true;
["Magic Broom"] = true;
["Swift Magic Broom"] = true;
["Amani War Bear"] = true;
["Swift Warstrider"] = true;

--Flying Mounts
["Ebon Gryphon"] = true;
["Golden Gryphon"] = true;
["Snowy Gryphon"] = true;
["Swift Green Gryphon"] = true;
["Swift Red Gryphon"] = true;
["Swift Purple Gryphon"] = true;
["Swift Blue Gryphon"] = true;
["Blue Windrider"] = true;
["Green Windrider"] = true;
["Tawny Windrider"] = true;
["Swift Green Windrider"] = true;
["Swift Purple Windrider"] = true;
["Swift Red Windrider"] = true;
["Swift Yellow Windrider"] = true;
["Reins of the Azure Netherwing Drake"] = true;
["Reins of the Cobalt Netherwing Drake"] = true;
["Reins of the Onyx Netherwing Drake"] = true;
["Reins of the Purple Netherwing Drake"] = true;
["Reins of the Veridian Netherwing Drake"] = true;
["Reins of the Violet Netherwing Drake"] = true;
["Swift Nether Drake"] = true;
["Blue Riding Nether Ray"] = true;
["Green Riding Nether Ray"] = true;
["Purple Riding Nether Ray"] = true;
["Red Riding Nether Ray"] = true;
["Silver Riding Nether Ray"] = true;
["Flying Broom"] = true;
["Swift Flying Broom"] = true;
["Flying Machine Control"] = true;
["Turbo-Charged Flying Machine Control"] = true;
["Cenarion War Hippogryph"] = true;
["Ashes of Al'ar"] = true;

} end)